Get Affiliate User
curl --request GET \
--url https://api.eflow.team/v1/networks/affiliates/{affiliateId}/users/{userId} \
--header 'X-Eflow-Api-Key: <api-key>'import requests
url = "https://api.eflow.team/v1/networks/affiliates/{affiliateId}/users/{userId}"
headers = {"X-Eflow-Api-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-Eflow-Api-Key': '<api-key>'}};
fetch('https://api.eflow.team/v1/networks/affiliates/{affiliateId}/users/{userId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.eflow.team/v1/networks/affiliates/{affiliateId}/users/{userId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-Eflow-Api-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.eflow.team/v1/networks/affiliates/{affiliateId}/users/{userId}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-Eflow-Api-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.eflow.team/v1/networks/affiliates/{affiliateId}/users/{userId}")
.header("X-Eflow-Api-Key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.eflow.team/v1/networks/affiliates/{affiliateId}/users/{userId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-Eflow-Api-Key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"network_affiliate_user_id": 17,
"network_id": 1,
"network_affiliate_id": 13,
"first_name": "Bob",
"last_name": "Smith",
"email": "my.everflow@gmail.com",
"title": "CEO",
"work_phone": "9655433513",
"cell_phone": "",
"instant_messaging_id": 0,
"instant_messaging_identifier": "",
"language_id": 1,
"timezone_id": 75,
"currency_id": "USD",
"account_status": "active",
"relationship": {
"affiliate_account_status": "active"
}
}Affiliate Users
Get Affiliate User
Retrieve a single affiliate user by their user ID.
GET
/
networks
/
affiliates
/
{affiliateId}
/
users
/
{userId}
Get Affiliate User
curl --request GET \
--url https://api.eflow.team/v1/networks/affiliates/{affiliateId}/users/{userId} \
--header 'X-Eflow-Api-Key: <api-key>'import requests
url = "https://api.eflow.team/v1/networks/affiliates/{affiliateId}/users/{userId}"
headers = {"X-Eflow-Api-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-Eflow-Api-Key': '<api-key>'}};
fetch('https://api.eflow.team/v1/networks/affiliates/{affiliateId}/users/{userId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.eflow.team/v1/networks/affiliates/{affiliateId}/users/{userId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-Eflow-Api-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.eflow.team/v1/networks/affiliates/{affiliateId}/users/{userId}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-Eflow-Api-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.eflow.team/v1/networks/affiliates/{affiliateId}/users/{userId}")
.header("X-Eflow-Api-Key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.eflow.team/v1/networks/affiliates/{affiliateId}/users/{userId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-Eflow-Api-Key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"network_affiliate_user_id": 17,
"network_id": 1,
"network_affiliate_id": 13,
"first_name": "Bob",
"last_name": "Smith",
"email": "my.everflow@gmail.com",
"title": "CEO",
"work_phone": "9655433513",
"cell_phone": "",
"instant_messaging_id": 0,
"instant_messaging_identifier": "",
"language_id": 1,
"timezone_id": 75,
"currency_id": "USD",
"account_status": "active",
"relationship": {
"affiliate_account_status": "active"
}
}Authorizations
Path Parameters
Query Parameters
Include additional related data in the response. Multiple relationships can be supplied by repeating the relationship query parameter. Supported values: logins (includes the user's list of logins), api (includes the user's API key and whitelisted IPs), affiliate_status (includes the status of the affiliate to which the user belongs), customizations (includes the user's customizations).
affiliate_status populates relationship.affiliate_account_status (always returned, whether requested or not) and customizations populates relationship.customization (singular). An unrecognised value is ignored.
Available options:
logins, api, affiliate_status, customizations Response
Was this page helpful?
